For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETGet all supported Sources Types to pull data from
LogoLogo
Scout DocsAccess Scout
EndpointsSources

Get all supported Sources Types to pull data from

Beta
GET
https://api.scoutos.com/v2/sources
GET
/v2/sources
$curl https://api.scoutos.com/v2/sources \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "sources": [
3 {
4 "archetype_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
5 "display_name": "Weather Data API",
6 "input_schema": {
7 "type": "object",
8 "properties": {
9 "location": {
10 "type": "string",
11 "description": "City or coordinates for weather data"
12 },
13 "units": {
14 "type": "string",
15 "enum": [
16 "metric",
17 "imperial"
18 ],
19 "description": "Units for temperature and wind speed"
20 }
21 },
22 "required": [
23 "location"
24 ]
25 },
26 "description": "Provides real-time weather information and forecasts.",
27 "schedulable": true,
28 "img_url": "https://example.com/images/weather-api-logo.png",
29 "integrated_service_id": "weather_service_001",
30 "integration_version": "v1"
31 }
32 ]
33}
Was this page helpful?
Previous

Get all syncs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
sourceslist of objects